> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blend.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Acquire the signer lock on a session



## OpenAPI

````yaml /openapi/extern-fe.json post /extern/fe/intent/{intentId}/lock
openapi: 3.1.0
info:
  title: Blend business-api — extern fe
  version: 1.0.0
  description: >-
    Frontend integration surface. Auth: X-Publishable-Key header + SIWE Bearer
    JWT. The account is implicit from the JWT.
servers:
  - url: https://{host}
    variables:
      host:
        default: api.portal.blend.money
security: []
paths:
  /extern/fe/intent/{intentId}/lock:
    post:
      tags:
        - fe
      summary: Acquire the signer lock on a session
      operationId: fe_lockIntent
      parameters:
        - name: intentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                signerAddress:
                  type: string
              required:
                - signerAddress
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    const: success
                  data:
                    $ref: '#/components/schemas/SessionResponse'
                required:
                  - status
                  - data
                additionalProperties: false
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '409':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
      security:
        - PublishableKey: []
          SiweBearer: []
components:
  schemas:
    SessionResponse:
      type: object
      properties:
        intentId:
          type: string
        type:
          anyOf:
            - type: string
              enum:
                - DEPOSIT
                - WITHDRAW
            - type: 'null'
        status:
          type: string
          enum:
            - OPEN
            - LOCKED
            - SUBMITTED
            - SETTLED
            - FAILED
            - CANCELLED
        expiresAt:
          type: string
          format: date-time
          description: ISO 8601 timestamp
        createdAt:
          type: string
          format: date-time
          description: ISO 8601 timestamp
        externalRef:
          anyOf:
            - type: string
            - type: 'null'
        requestParams: {}
        quoteSummary: {}
        lockedAt:
          anyOf:
            - type: string
              format: date-time
              description: ISO 8601 timestamp
            - type: 'null'
        lockedBy:
          anyOf:
            - type: string
            - type: 'null'
        txHashes:
          type: array
          items:
            type: string
        chainIds:
          type: array
          items:
            type: number
        settledAt:
          anyOf:
            - type: string
              format: date-time
              description: ISO 8601 timestamp
            - type: 'null'
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
        payload: {}
      required:
        - intentId
        - type
        - status
        - expiresAt
        - createdAt
        - externalRef
        - requestParams
        - quoteSummary
        - lockedAt
        - lockedBy
        - txHashes
        - chainIds
        - settledAt
        - errorMessage
        - payload
      additionalProperties: false
  responses:
    Error:
      description: Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                const: error
              message:
                type: string
            required:
              - status
              - message
            additionalProperties: false
  securitySchemes:
    PublishableKey:
      type: apiKey
      in: header
      name: X-Publishable-Key
      description: Tenant publishable key (pk_live_...)
    SiweBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: SIWE session JWT issued by POST /auth/verify

````